/*
 * Copyright 1995 Steve Passe
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of AUTHOR (Steve Passe)
 * is not be used in advertising or publicity pertaining to distribution of
 * the software without specific, written prior permission.  AUTHOR makes no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL AUTHOR
 * BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * AUTHOR:     Steve Passe <smp@csn.net>
*/

/* rcsid[] = "$Id: xadc.h,v 1.2 1995/09/15 09:24:14 smp Exp smp $"; */


#define XADC
#define MAX_CHANNELS		8

#define MIN_VALUE		40
#define MIN_VALUE_STR		"40"

#define MAX_VALUE		255
#define MAX_VALUE_STR		"255"

#define MAX_RATE		999
#define MAX_RATE_STR		"999"


#define HI_BACKGROUND		"lightGrey"
#define LO_BACKGROUND		"slateGrey"
#define DEFAULT_BACKGROUND	LO_BACKGROUND

#define NIL_LABEL		"---"
#define NIL_COLOR		HI_BACKGROUND

#define RATE_COLOR		"lightBlue"
#define WARN_COLOR		"lightYellow"
#define PANIC_COLOR		"pink"

#define OK_FCOLOR		"green"
#define WARN_FCOLOR		"yellow"
#define PANIC_FCOLOR		"red"


/*
 * Application resources
 */
#define	XtNchannelCount	"channelCount"
#define	XtCChannelCount	"ChannelCount"
#define	XtNchannelList	"channelList"
#define	XtCChannelList	"ChannelList"

/*
 * the adjustor object
 */
typedef struct {
    Widget	form;
    Widget	label;
    Widget	wheel;
    int		min;
    int		max;
    int		val;
} adjustor_t;


/*
 * the display object
 */
typedef struct {
    Widget	form;
    Widget	label;
    Widget	lcd;
    adjustor_t	warn;
    adjustor_t	panic;
    adjustor_t	rate;
} display_t;

